com.mysql.cj.conf

## Enum HostsListView

- java.lang.Object
- - java.lang.Enum<HostsListView>
  - - com.mysql.cj.conf.HostsListView

All Implemented Interfaces:
  Serializable, Comparable<HostsListView>

    public enum HostsListView
    extends Enum<HostsListView>

An enumeration that identifies the type of the view intended for getting hosts lists for multi-host connections.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`REPLICAS`
`SOURCES`

### Method Summary

All Methods Static Methods Concrete Methods
`static HostsListView` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HostsListView[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final HostsListView ALL

#### SOURCES

    public static final HostsListView SOURCES

#### REPLICAS

    public static final HostsListView REPLICAS

### Method Detail

#### values

    public static HostsListView[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HostsListView c : HostsListView.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HostsListView valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2025, Oracle and/or its affiliates.